Package com.smartgwt.client.types

# Enum RecordDropPosition

java.lang.Object
java.lang.Enum<RecordDropPosition>
com.smartgwt.client.types.RecordDropPosition

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RecordDropPosition>`, `Constable`

public enum RecordDropPosition extends Enum<RecordDropPosition> implements ValueEnum
Position of a `ListGrid.recordDrop()` operation with respect to the target record.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  User dropped after the record
  `BEFORE`
  User dropped before the record
  `NONE`
  Drop position is not over a record
  `OVER`
  User dropped directly onto the record

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RecordDropPosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RecordDropPosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OVER

    public static final RecordDropPosition OVER
    User dropped directly onto the record

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "over".

  - ### BEFORE

    public static final RecordDropPosition BEFORE
    User dropped before the record

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "before".

  - ### AFTER

    public static final RecordDropPosition AFTER
    User dropped after the record

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "after".

  - ### NONE

    public static final RecordDropPosition NONE
    Drop position is not over a record

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static RecordDropPosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RecordDropPosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`